List DNS Policies
Retrieve a paginated list of all DNS policies on a site. <details> <summary>Filterable properties (click to expand)</summary> |Name|Type|Allowed functions| |-|-|-| |`type`|`STRING`|`eq` `ne` `in` `notIn`| |`id`|`UUID`|`eq` `ne` `in` `notIn`| |`enabled`|`BOOLEAN`|`eq` `ne`| |`domain`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`ipv4Address`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`ipv6Address`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`targetDomain`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`mailServerDomain`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`text`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`serverDomain`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`ipAddress`|`STRING`|`eq` `ne` `in` `notIn` `like`| |`ttlSeconds`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`priority`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`service`|`STRING`|`eq` `ne` `in` `notIn`| |`protocol`|`STRING`|`eq` `ne` `in` `notIn`| |`port`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| |`weight`|`INTEGER`|`eq` `ne` `gt` `ge` `lt` `le` `in` `notIn`| </details>
Retrieve a paginated list of all DNS policies on a site.
| Name | Type | Allowed functions |
|---|---|---|
type | STRING | eq ne in notIn |
id | UUID | eq ne in notIn |
enabled | BOOLEAN | eq ne |
domain | STRING | eq ne in notIn like |
ipv4Address | STRING | eq ne in notIn like |
ipv6Address | STRING | eq ne in notIn like |
targetDomain | STRING | eq ne in notIn like |
mailServerDomain | STRING | eq ne in notIn like |
text | STRING | eq ne in notIn like |
serverDomain | STRING | eq ne in notIn like |
ipAddress | STRING | eq ne in notIn like |
ttlSeconds | INTEGER | eq ne gt ge lt le in notIn |
priority | INTEGER | eq ne gt ge lt le in notIn |
service | STRING | eq ne in notIn |
protocol | STRING | eq ne in notIn |
port | INTEGER | eq ne gt ge lt le in notIn |
weight | INTEGER | eq ne gt ge lt le in notIn |
Authorization
ApiKey UniFi API key. Create one under Control Plane → Admins & Users → your admin → Create API Key (requires controller 9.0.114+).
In: header
Path Parameters
Query Parameters
Response Body
application/json
curl -X GET "https://example.com/v1/sites/497f6eca-6276-4993-bfeb-53cbbbba6f08/dns/policies"{ "offset": 0, "limit": 25, "count": 10, "totalCount": 1000, "data": [ { "type": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "enabled": true, "metadata": null, "domain": "string" } ]}